#include <QObject>
#include <QCoreApplication>
#include <knotification.h>
#include <klocale.h>
#include <kdebug.h>
#include <KIcon>

#include "kernelupdatenotifier.h"

void KernelUpdateNotifier::handleRebootAction(){
	notify->close();
        kDebug("Reboot");
}

void KernelUpdateNotifier::handleRebootActionClosed(){
        kDebug("Don't Reboot");
}

void KernelUpdateNotifier::sendNotify(const QString &version) {

    KNotification *notify = new KNotification("KernelWasUpgraded", 0, KNotification::CloseOnTimeout);

    QString text;
    text =  i18n("The Kernel was upgraded to version") + "<br/>";
    text += "<b>" + version + "</b><br/>";
    text += i18n("Please reboot the machine.");
    notify->setText(text);

    QStringList actions;
    actions << i18n("Reboot");
    notify->setActions(actions);
    notify->setPixmap(KIcon("dialog-warning").pixmap(64, 64));
    connect(notify, SIGNAL(activated(uint)),
            this, SLOT(handleRebootAction()));
    connect(notify, SIGNAL(closed()),
            this , SLOT(handleRebootActionClosed()));
    notify->sendEvent();

}


